import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:nativepaypal/nativepaypal.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';
  Nativepaypal native;
  @override
  void initState() {
    super.initState();
    initPlatformState();
    native = Nativepaypal();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    try {
      platformVersion = await Nativepaypal.platformVersion;
    } on PlatformException {
      platformVersion = 'Failed to get platform version.';
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      _platformVersion = platformVersion;
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
          appBar: AppBar(
            title: Text('Flutter FlatButton - tutorialkart.com'),
          ),
          body: Center(child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: <Widget>[
            Container(
              margin: EdgeInsets.all(10),
              child: FlatButton(
                child: Text('Login'),
                onPressed: () {},
              ),
            ),
            Center(
              child: Container(
                margin: EdgeInsets.all(20),
                child: FlatButton(
                  child: Text('Login'),
                  color: Colors.blueAccent,
                  textColor: Colors.white,
                  onPressed: () {
                    native.start("");
                  },
                ),
              ),
            ),
          ]))),
    );
  }
}
